Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011994
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2010-01-18 12:592010-01-20 23:26
ReporterpsarobeView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision70a31a43d7d9
ProjectionnoneETAnoneTarget Version2.50MP11
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011994: Uninstall a module does not work properly under some circumstances

DescriptionUninstall a module does not work properly under some circumstances. When module adds columns to an existing core table and then you uninstall the module and rebuild the system you cannot enter to that window.

The problem is that the system doesn't do compile.complete

See attach
Steps To Reproduce1. Install MP10
2. Install SPLP 1.2. Rebuild the system
3. Uninstall SPLP 1.2. Rebuild the system
4. Login and go to General setup->Application->Country

See attach
TagsNo tags attached.
Attached Filespng file icon country_error.PNG [^] (130,599 bytes) 2010-01-18 12:59

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0009540 closedalostale Mutating trigger error when trying to delete a module which has a module dependency 

-  Notes
(0023506)
hgbot (developer)
2010-01-18 16:14

Repository: erp/devel/pi
Changeset: 70a31a43d7d9d0946c86ea60d6885a1eb7b25a06
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jan 18 16:13:48 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/70a31a43d7d9d0946c86ea60d6885a1eb7b25a06 [^]

Fixed issue 11994. Full compile.complete will be done when uninstalling modules, to ensure that all windows are recompiled.

---
M src-wad/src/org/openbravo/wad/Wad.java
---
(0023564)
alostale (developer)
2010-01-19 13:23

Issue 0009540 makes not possible to uninstall in Oracle
(0023667)
hudsonbot (developer)
2010-01-20 23:26

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/70a31a43d7d9 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/fa6621f85351 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15942.obx [^]

- Issue History
Date Modified Username Field Change
2010-01-18 12:59 psarobe New Issue
2010-01-18 12:59 psarobe Assigned To => marvintm
2010-01-18 12:59 psarobe File Added: country_error.PNG
2010-01-18 13:00 psarobe Status new => scheduled
2010-01-18 13:00 psarobe fix_in_branch => pi
2010-01-18 16:14 hgbot Checkin
2010-01-18 16:14 hgbot Note Added: 0023506
2010-01-18 16:14 hgbot Status scheduled => resolved
2010-01-18 16:14 hgbot Resolution open => fixed
2010-01-18 16:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/70a31a43d7d9d0946c86ea60d6885a1eb7b25a06 [^]
2010-01-19 13:23 alostale Status resolved => new
2010-01-19 13:23 alostale Resolution fixed => open
2010-01-19 13:23 alostale Relationship added depends on 0009540
2010-01-19 13:23 alostale Note Added: 0023564
2010-01-19 13:24 alostale Status new => scheduled
2010-01-19 13:47 alostale Status scheduled => resolved
2010-01-19 13:47 alostale Resolution open => fixed
2010-01-19 13:47 alostale Status resolved => closed
2010-01-20 00:01 anonymous sf_bug_id 0 => 2935295
2010-01-20 23:26 hudsonbot Checkin
2010-01-20 23:26 hudsonbot Note Added: 0023667


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker